#ifndef NFC_H
#define NFC_H

#include <PubSubClient.h>
#include <MFRC522.h>

class NFC
{
    private:
        
        MFRC522::Uid uid;
        bool cardSelected;
        byte atqa[2];

    public:
        MFRC522* rfid;
        NFC(int pin_ss, int pin_rst);
        bool hasNewCard();
        bool selectCard();
        bool deselectCard();
        bool isCardLost();
        MFRC522::Uid getUID();

        MFRC522::StatusCode Transceive(byte* command, byte command_len, byte* response, byte response_len);
};

#endif
